<template>
	<view class="comdetail">
		<view class="cdbox">
			<view class="cdtop">
				<view class="tit">小区电梯老化</view>
				<view class="txt">2024-11-18 08:16</view>
			</view>
			<view class="cdmain">
				<view class="tit">小区电梯时常发生问题，请物业派维修人员进行安全检 查，若无法排除问题，建议更换小区的电梯设备，避免 后期发生人员伤害！</view>
				<view class="imgs">
					<image :src="mbg"></image>
				</view>
			</view>
		</view>
		
		<view class="cdbtns">
			<view class="btna">不予公开</view>
			<view class="btnb" @click="getReplyFn">回复</view>
		</view>
	<pop-up :type="type" @getClose='getClose'  @getSure="getSure"></pop-up>
	<loading></loading>	
	</view>
</template>

<script>
	import config from '@/config'
	const baseUrl = config.baseUrl
	import popUp from "@/work/components/popup/popup.vue"
	import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
	export default{
		components:{popUp},
		data(){
			return{
				mbg:require('@/work/static/service/bxbg.png'),
				baseUrl:config.baseUrl,
				type:'',
			}
		},
		onLoad: function() {
		},
		methods:{
			checkPermi, checkRole,
			getClose(){
				this.type='';
			},
			getSure(){
				this.type='';
			},
			getReplyFn(){
				this.type='reply'
			},
			getPreviewImage(arr,idx){
				var newArr=[];
				arr.forEach(ite=>{
					var ds=this.baseUrl+ite
					newArr.push(ds)
				})
				uni.previewImage({
					urls: newArr,
					current:idx,
					success: function(data) {
						
					},
					fail: function(err) {
						
					}
				});
			},
		}
	}
</script>
<style>
	page{background: #F3F3F0;}
</style>
<style lang="scss" scoped>
.comdetail{padding:20rpx 18rpx  110rpx;
	.cdbox{background: #FFFFFF;border-radius: 20rpx;padding: 0 32rpx;box-sizing: border-box;
		.cdtop{padding:  34rpx 30rpx 24rpx;border-bottom: 2rpx solid #CDCDCD;
			.tit{font-weight: bold;font-size: 30rpx;color: #272727;margin-bottom: 16rpx;}
			.txt{font-weight: 500;font-size: 24rpx;color: #AAAAAA;}
		}
		.cdmain{padding: 24rpx 0 24rpx;
			.tit{font-weight: 500;font-size: 26rpx;color: #666666;line-height: 36rpx;margin-bottom: 30rpx;}
			.imgs{display: flex;align-items: center;flex-wrap: wrap;
				image{width: 142rpx;height: 142rpx;border-radius: 20rpx;margin: 0 18rpx 18rpx 0;}
			}
		}
	}
	
	.cdbtns{position: fixed;left: 0;right: 0;height: 98rpx;z-index: 2;display: flex;align-items: center;bottom: 0;
		view{flex: 1;display: flex;align-items: center;justify-content: center;font-weight: bold;font-size: 26rpx;height: 98rpx;
		&.btna{background: #FFFFFF;color: #0156FE;}
		&.btnb{background: #0156FE;color: #FFFFFF;}
		}
	}
}

</style>